## org.jfree.report.util.beans
Class IntegerValueConverter

    java.lang.Object
      org.jfree.report.util.beans.IntegerValueConverter

All Implemented Interfaces:
  ValueConverter

    public class IntegerValueConverter

extends java.lang.Object
implements ValueConverter

A class that handles the conversion of `Integer` attributes to and from their `String` representation.

Author:
  Thomas Morgner

Constructor Summary
`IntegerValueConverter()` Creates a new value converter.

Method Summary
`java.lang.String` `toAttributeValue(java.lang.Object o)` Converts the attribute to a string.
`java.lang.Object` `toPropertyValue(java.lang.String s)` Converts a string to a `Integer`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegerValueConverter

    public IntegerValueConverter()

  Creates a new value converter.

Method Detail

### toAttributeValue

    public java.lang.String toAttributeValue(java.lang.Object o)

  Converts the attribute to a string.

  Specified by:
    `toAttributeValue` in interface `ValueConverter`
  Parameters:
    `o` - the attribute (`Integer` expected).
  Returns:
    A string representing the `Integer` value.

### toPropertyValue

    public java.lang.Object toPropertyValue(java.lang.String s)

  Converts a string to a `Integer`.

  Specified by:
    `toPropertyValue` in interface `ValueConverter`
  Parameters:
    `s` - the string.
  Returns:
    a `Integer`.